Subject: Re: Windres parse error
From: Mark Blackburn <[email-masked]>
To: Mikael Åsberg <[email-masked]>
Cc: [email-masked]
Date: Tue, 06 May 2003 23:12:10 -0400

Mikael Åsberg wrote:

>Hello, I've just started trying to a "convert" a win32 gui program (written
>in c++) to the cygwin tools. When I finally got all the source files to
>compile without errors, windres chokes on the .rc-file which was generated
>using MSVC++ 6.0. The first error is:
>
By the way, reduced test cases are generally appreciated by all...

>windres: mindedit.rc:162: parse error
>Line 162 in mindedit.rc looks like:
>    LTEXT           "Enter line number to go to:",IDC_STATIC,6,10,84,8
>
It looks like windres doesn't like IDC_STATIC. Maybe MSVC defines it in 
the header files.
The w32api header files for cygwin/mingw don't define it.
Maybe put this in your rc files:
#ifndef IDC_STATIC
#define IDC_STATIC (-1)
#endif

>the program to build. But then windres finds another parse error on line
>191, which looks like this:
>ID_TOOLBAR TOOLBAR DISCARDABLE  16, 16
>

This one looks like a bigger problem. It doesn't look like windres has 
the TOOLBAR keyword implemented. So someone has to submit a patch to 
binutils (where windres lives) to implement it.

>
>I really don't know where to go from here...anyone know how to fix these
>errors?
>
>// Mikael
>  
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/